For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTAccept amendment
      • DELCancel amendment
      • POSTConfirm amendment
      • GETContract amendment PDF
      • POSTCreate amendment
      • GETGet amendment by ID
      • GETGet amendment validation settings
      • GETGet amendments by contract
      • GETRetrieve Effective Date Limitations
      • POSTSign a contract amendment (employee)
      • PATCHUpdate amendment
      • POSTValidate amendment data points
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsEor Amendments

Cancel amendment

DELETE
/eor/contracts/:contract_id/amendments/:amendment_id
DELETE
/rest/v2/eor/contracts/:contract_id/amendments/:amendment_id
$curl -X DELETE https://api.letsdeel.com/rest/v2/eor/contracts/3w6pd6r/amendments/77733bb9-9e17-4dfd-ba1b-1315f77cd7f7 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "body": {}
>}'
1{
2 "data": {
3 "success": true
4 }
5}

Cancels a pending EOR contract amendment, voiding the request and preventing it from being reviewed or applied to the contract. Token scopes: contracts:write

Was this page helpful?
Previous

Confirm amendment

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequiredformat: "alphanumeric"
The unique identifier of EOR worker contract.
amendment_idstringRequiredformat: "uuid"
A unique identifier for the employee contract amendment.

Response

Successful response
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication